# Check issues:

* All issues should have a clear title explaining the problem.

* All closed issues must have a resolution tag (tags starting with `reso:`)

# Update version and create tags:

* `git pull origin (or upstream)`

* Update changelog
```
$ loghub continuumio/navigator -u <username> -m <milestone> -ilg type:feature "Features " -ilg type:enhancement "Enhancements" -ilg type:bug "Bugs fixed" -ilr "reso:completed"
```

* Update version in `__init__.py` (set release version, remove 'dev0')

* `git add and git commit`

* `git tag -a vX.X.X -m 'comment'`

* Make conda package for internal use if needed (see below)

* Update version in `__init__.py` (add 'dev0' and increment minor)

* `git add and git commit`

* `git push`

* `git push --tags`

# To release a new package:

* For a stable release

  `conda build conda.recipe`

* Upload to Continuum Crew channel

  `anaconda upload navigator-updater***.tar.bz2 -u continuumcrew`
