# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------------
# Copyright 2016 Anaconda, Inc.
#
# May be copied and distributed freely only as part of an Anaconda or
# Miniconda installation.
# -----------------------------------------------------------------------------
"""Anaconda Navigator Updater setup script."""

# Third party imports
from setuptools import find_packages, setup
from setuptools.command.install import install

# Local imports
from navigator_updater import __version__

packages = find_packages()
setup(
    name='navigator-updater',
    version=__version__,
    description='Anaconda Navigator Updater',
    author='Anaconda',
    packages=packages,
    package_data={
        'navigator_updater.static.css': ['*.css', '*.scss'],
        'navigator_updater.static.images':
        ['*.jpg', '*.jpeg', '*.png', '*.gif', '*.svg', 'icons/*'],
    },
    entry_points={
        'gui_scripts':
        ['navigator-updater = navigator_updater.app.main:main']
    },
    include_package_data=True,
)
